gtksourceviewmm: Gsv::GutterRendererText Class Reference

gtksourceviewmm 3.91.1

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gsv::GutterRendererText Class Reference

`#include <gtksourceviewmm/gutterrenderertext.h>`

Inheritance diagram for Gsv::GutterRendererText:
[legend]

## Public Member Functions
| GutterRendererText (GutterRendererText&& src) noexcept
GutterRendererText& | operator= (GutterRendererText&& src) noexcept
| GutterRendererText (const GutterRendererText&)=delete
GutterRendererText& | operator= (const GutterRendererText&)=delete
| ~GutterRendererText () noexcept override
GtkSourceGutterRendererText* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceGutterRendererText* | gobj () const
| Provides access to the underlying C GObject.
| GutterRendererText ()
void | set_text (const Markup& markup)
void | set_text (const Glib::ustring& text)
void | measure (const Markup& markup, int& width, int& height)
| Measures the pango markup provided using the pango layout used by the Gtk::SourceGutterRendererText.
void | measure (const Glib::ustring& text, int& width, int& height)
| Measures the text provided using the pango layout used by the Gtk::SourceGutterRendererText.
Glib::PropertyProxy< Glib::ustring > | property_text ()
| The text.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| The text.
Glib::PropertyProxy< Glib::ustring > | property_markup ()
| The markup.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_markup () const
| The markup.
Public Member Functions inherited from Gsv::GutterRenderer
| GutterRenderer (GutterRenderer&& src) noexcept
GutterRenderer& | operator= (GutterRenderer&& src) noexcept
| GutterRenderer (const GutterRenderer&)=delete
GutterRenderer& | operator= (const GutterRenderer&)=delete
| ~GutterRenderer () noexcept override
GtkSourceGutterRenderer* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceGutterRenderer* | gobj () const
| Provides access to the underlying C GObject.
void | begin (const Cairo::RefPtr< Cairo::Context >& cr, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, Gtk::TextIter&start, Gtk::TextIter&end)
| Called when drawing a region begins.
void | draw (const Cairo::RefPtr< Cairo::Context >& cr, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, Gtk::TextIter&start, Gtk::TextIter&end, GutterRendererState p6)
| Main renderering method.
void | end ()
| Called when drawing a region of lines has ended.
int | get_size () const
| Get the size of the renderer.
void | set_size (int size)
| Sets the size of the renderer.
bool | get_visible () const
| Get whether the gutter renderer is visible.
void | set_visible (bool visible)
| Set whether the gutter renderer is visible.
void | get_padding (int& xpad, int& ypad) const
| Get the x-padding and y-padding of the gutter renderer.
void | set_padding (int xpad, int ypad)
| Set the padding of the gutter renderer.
void | get_alignment (float& xalign, float& yalign) const
| Get the x-alignment and y-alignment of the gutter renderer.
void | set_alignment (float xalign, float yalign)
| Set the alignment of the gutter renderer.
GutterRendererAlignmentMode | get_alignment_mode () const
| Get the alignment mode.
void | set_alignment_mode (GutterRendererAlignmentMode mode)
| Set the alignment mode.
Gtk::TextWindowType | get_window_type () const
| Get the Gtk::TextWindowType associated with the gutter renderer.
Gtk::TextView* | get_view ()
| Get the view associated to the gutter renderer.
const Gtk::TextView* | get_view () const
| Get the view associated to the gutter renderer.
bool | get_background (Gdk::RGBA& color) const
| Get the background color of the renderer.
bool | is_background_set () const
void | set_background (const Gdk::RGBA& color)
| Set the background color of the renderer.
void | queue_draw ()
| Emits the Gtk::SourceGutterRenderer::signal_queue_draw() signal of the renderer.
Glib::PropertyProxy< bool > | property_visible ()
| Visible.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Visible.
Glib::PropertyProxy< int > | property_xpad ()
| The x-padding.
Glib::PropertyProxy_ReadOnly< int > | property_xpad () const
| The x-padding.
Glib::PropertyProxy< int > | property_ypad ()
| The y-padding.
Glib::PropertyProxy_ReadOnly< int > | property_ypad () const
| The y-padding.
Glib::PropertyProxy< float > | property_xalign ()
| The x-alignment.
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| The x-alignment.
Glib::PropertyProxy< float > | property_yalign ()
| The y-alignment.
Glib::PropertyProxy_ReadOnly< float > | property_yalign () const
| The y-alignment.
Glib::PropertyProxy_ReadOnly< Gtk::TextView* > | property_view () const
| The view.
Glib::PropertyProxy< GutterRendererAlignmentMode > | property_alignment_mode ()
| The alignment mode.
Glib::PropertyProxy_ReadOnly< GutterRendererAlignmentMode > | property_alignment_mode () const
| The alignment mode.
Glib::PropertyProxy_ReadOnly< Gtk::TextWindowType > | property_window_type () const
| The window type.
Glib::PropertyProxy< int > | property_size ()
| The size.
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| The size.
Glib::PropertyProxy< Gdk::RGBA > | property_background_rgba ()
| The background color.
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_background_rgba () const
| The background color.
Glib::PropertyProxy< bool > | property_background_set ()
| Whether the background color is set.
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Whether the background color is set.
Glib::SignalProxy< bool, const Gtk::TextIter&, const Gdk::Rectangle&, int, int, const Glib::RefPtr< Gtk::Tooltip >& > | signal_query_tooltip ()
Glib::SignalProxy< void, const Gtk::TextIter&, const Gdk::Rectangle&, GdkEvent* > | signal_activate ()
Glib::SignalProxy< void > | signal_queue_draw ()
Glib::SignalProxy< void, const Gtk::TextIter&, const Gtk::TextIter&, GutterRendererState > | signal_query_data ()
Glib::SignalProxy< bool, const Gtk::TextIter&, const Gdk::Rectangle&, GdkEvent* > | signal_query_activatable ()
Public Member Functions inherited from Gtk::Object
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
| ~Object () noexcept override
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gsv::GutterRenderer
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Gsv::GutterRendererText* | wrap (GtkSourceGutterRendererText* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gsv::GutterRenderer
Gsv::GutterRenderer* | wrap (GtkSourceGutterRenderer* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Protected Member Functions inherited from Gsv::GutterRenderer
virtual bool | on_query_tooltip (const Gtk::TextIter& iter, const Gdk::Rectangle& area, int x, int y, const Glib::RefPtr< Gtk::Tooltip >& tooltip)
| This is a default handler for the signal signal_query_tooltip().
virtual void | on_activate (const Gtk::TextIter& iter, const Gdk::Rectangle& area, GdkEvent* event)
| This is a default handler for the signal signal_activate().
virtual void | on_queue_draw ()
| This is a default handler for the signal signal_queue_draw().
virtual void | on_query_data (const Gtk::TextIter&start, const Gtk::TextIter&end, GutterRendererState state)
| This is a default handler for the signal signal_query_data().
virtual bool | on_query_activatable (const Gtk::TextIter& iter, const Gdk::Rectangle& area, GdkEvent* event)
| This is a default handler for the signal signal_query_activatable().
| GutterRenderer ()
virtual void | begin_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, Gtk::TextIter&start, Gtk::TextIter&end)
virtual void | draw_vfunc (const Cairo::RefPtr< Cairo::Context >& cr, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, Gtk::TextIter&start, Gtk::TextIter&end, GutterRendererState p6)
virtual void | end_vfunc ()
virtual void | change_view_vfunc (Gtk::TextView* old_view)
virtual void | change_buffer_vfunc (const Glib::RefPtr< Gtk::TextBuffer >& old_buffer)

## Constructor & Destructor Documentation

## ◆ GutterRendererText() [1/3]

Gsv::GutterRendererText::GutterRendererText | ( | GutterRendererText&& | src | ) |
| noexcept

## ◆ GutterRendererText() [2/3]

Gsv::GutterRendererText::GutterRendererText | ( | const GutterRendererText& |  | ) |
| delete

## ◆ ~GutterRendererText()

Gsv::GutterRendererText::~GutterRendererText | ( |  | ) |
| overridenoexcept

## ◆ GutterRendererText() [3/3]

Gsv::GutterRendererText::GutterRendererText | ( |  | ) |

## Member Function Documentation

## ◆ get_type()

static GType Gsv::GutterRendererText::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceGutterRendererText * Gsv::GutterRendererText::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceGutterRendererText * Gsv::GutterRendererText::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ measure() [1/2]

void Gsv::GutterRendererText::measure | ( | const Glib::ustring & | text,
|  | int & | width,
|  | int & | height )

Measures the text provided using the pango layout used by the Gtk::SourceGutterRendererText.

Parameters

  text | The text to measure.
  width | Location to store the width of the text in pixels, or `nullptr`.
  height | Location to store the height of the text in pixels, or `nullptr`.

## ◆ measure() [2/2]

void Gsv::GutterRendererText::measure | ( | const Markup& | markup,
|  | int & | width,
|  | int & | height )

Measures the pango markup provided using the pango layout used by the Gtk::SourceGutterRendererText.

Parameters

  markup | The pango markup to measure.
  width | Location to store the width of the text in pixels, or `nullptr`.
  height | Location to store the height of the text in pixels, or `nullptr`.

## ◆ operator=() [1/2]

GutterRendererText& Gsv::GutterRendererText::operator= | ( | const GutterRendererText& |  | ) |
| delete

## ◆ operator=() [2/2]

GutterRendererText& Gsv::GutterRendererText::operator= | ( | GutterRendererText&& | src | ) |
| noexcept

## ◆ property_markup() [1/2]

Glib::PropertyProxy< Glib::ustring > Gsv::GutterRendererText::property_markup | ( |  | ) |

The markup.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_markup() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::GutterRendererText::property_markup | ( |  | ) | const

The markup.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [1/2]

Glib::PropertyProxy< Glib::ustring > Gsv::GutterRendererText::property_text | ( |  | ) |

The text.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::GutterRendererText::property_text | ( |  | ) | const

The text.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_text() [1/2]

void Gsv::GutterRendererText::set_text | ( | const Glib::ustring & | text | ) |

## ◆ set_text() [2/2]

void Gsv::GutterRendererText::set_text | ( | const Markup& | markup | ) |

## Friends And Related Symbol Documentation

## ◆ wrap()

Gsv::GutterRendererText* wrap | ( | GtkSourceGutterRendererText * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.